
import java.util.Scanner;

/**
 *
 * @author cteam045
 */
public class More {

    private static void printSolution(int[] number){
        StringBuilder builder = new StringBuilder();
        boolean printingZero = false;
        for (int i: number){
            if (i == 1){
                builder.append('1');
                printingZero = true;
            } else {
                if (printingZero){
                    builder.append('0');
                }
            }
        }
        if (builder.length() == 0){
            builder.append('0');            
        }
        System.out.println(builder.toString());
    }
    
    private static void solve(String line) {
        int[] number = new int[line.length() + 2];
        for (int i = 0; i < number.length; i++) {
            number[i] = 0;
        }
        for (int i = 2; i < number.length; i++) {
            number[i] = line.charAt(i - 2) == '1' ? 1 : 0;
        }
        int solving = number.length - 1;
        while (true) {
            if (number[solving] == 0) {
                number[solving] = 1;
                printSolution(number);
                return;
            }
            if (number[solving - 1] == 1) {
                number[solving - 1] = number[solving] = 0;
                printSolution(number);
                return;
            }
            if (number[solving - 2] == 0) {
                number[solving - 2] = number[solving - 1] = 1;
                number[solving] = 0;
                printSolution(number);
                return;
            }
            number[solving] = 0;
            number[solving - 1] = 1;
            solving -= 2;
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        String line;
        while (sc.hasNextLine()) {
            line = sc.nextLine();
            solve(line);
        }
    }
}
